Subject: Re: randconfig build error with next-20150521, in drivers/platform/x86/dell-rbtn.c

From: Darren Hart <[email-masked]>
Date: Mon, 1 Jun 2015 19:26:50 +0200

On Mon, Jun 01, 2015 at 09:40:48AM -0700, Randy Dunlap wrote:
> On 05/21/15 13:07, Pali Rohár wrote:
> > On Thursday 21 May 2015 21:56:15 Darren Hart wrote:
> >> On Thu, May 21, 2015 at 10:36:15AM -0700, Jim Davis wrote:
> >>> Building with the attached random configuration file,
> >>>
> >>> drivers/built-in.o: In function `rbtn_remove':
> >>> dell-rbtn.c:(.text+0x31d7f4): undefined reference to
> >>> `input_unregister_device' drivers/built-in.o: In function
> >>> `rbtn_notify':
> >>> dell-rbtn.c:(.text+0x31d8e5): undefined reference to `input_event'
> >>> dell-rbtn.c:(.text+0x31d8f8): undefined reference to `input_event'
> >>> dell-rbtn.c:(.text+0x31d911): undefined reference to `input_event'
> >>> dell-rbtn.c:(.text+0x31d924): undefined reference to `input_event'
> >>> drivers/built-in.o: In function `rbtn_add':
> >>> dell-rbtn.c:(.text+0x31da11): undefined reference to
> >>> `input_allocate_device' dell-rbtn.c:(.text+0x31da4a): undefined
> >>> reference to `input_register_device' dell-rbtn.c:(.text+0x31da5e):
> >>> undefined reference to `input_free_device' Makefile:938: recipe
> >>> for target 'vmlinux' failed
> >>
> >> Thanks Jim,
> >>
> >> Pali, the DELL_RBTN needs to ensure if it it's built-in, that INPUT
> >> is too. ...
> >>
> >>> CONFIG_INPUT=m
> >>> CONFIG_INPUT_FF_MEMLESS=m
> >>> CONFIG_INPUT_POLLDEV=m
> >>> CONFIG_INPUT_SPARSEKMAP=m
> >>> CONFIG_INPUT_MATRIXKMAP=m
> >>
> >> ...
> >>
> >>> CONFIG_DELL_RBTN=y
> >>
> >> Please submit a fix as a new patch.
> > 
> > I believe that this patch is needed:
> > 
> > diff --git a/drivers/platform/x86/Kconfig b/drivers/platform/x86/Kconfig
> > index 8c03223..d025fd8 100644
> > --- a/drivers/platform/x86/Kconfig
> > +++ b/drivers/platform/x86/Kconfig
> > @@ -141,6 +141,7 @@ config DELL_SMO8800
> >  config DELL_RBTN
> >  	tristate "Dell Airplane Mode Switch driver"
> >  	depends on ACPI
> > +	depends on INPUT
> >  	depends on RFKILL
> >  	---help---
> >  	  Say Y here if you want to support Dell Airplane Mode Switch ACPI
> > 
> > I did not tested it yet, but all other drivers depends on INPUT.
> > 
> 
> Acked-by: Randy Dunlap <[email-masked]>
> 
> Please get the patch merged.

I was waiting on a new version from Pali, but it hasn't appeared quite yet. I've
dropped the dell-rbtn and associated dell-laptop changes from my next branch for
now to avoid the breakage.

-- 
Darren Hart
Intel Open Source Technology Center